Bug 463756 - applesmc: wait status failed: c != 8
applesmc: wait status failed: c != 8
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-24 11:10 EDT by Naresh
Modified: 2008-10-21 13:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6.27.3-34.rc1.fc10.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-21 13:31:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
applesmc patch adds support for sensors in newer macbookpro4,1 macbook air, (6.27 KB, patch)
2008-10-11 00:32 EDT, Naresh
no flags Details | Diff
sensors support for macbook pro/3/4 (6.12 KB, patch)
2008-10-14 09:44 EDT, Naresh
no flags Details | Diff
support for macbook air/3/4 (6.12 KB, patch)
2008-10-15 10:46 EDT, Naresh
no flags Details | Diff

  None (edit)
Description Naresh 2008-09-24 11:10:29 EDT
Description of problem:

/var/log/messages is filled with errors from the applesmc driver. Also when the applesmc driver is loaded, the wifi doesn't work.

Version-Release number of selected component (if applicable):

kernel-2.6.27-0.329.rc6.git2.fc10.i686
kernel-devel-2.6.27-0.329.rc6.git2.fc10.i686


How reproducible:

Always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:

[nareshv@ platform]$ uptime
 20:37:51 up 41 min,  3 users,  load average: 0.27, 0.51, 0.60
[nareshv@ platform]$ dmesg | sudo grep -c 'applesmc: wait status failed: c != 8' 
3238

http://nareshv.blogspot.com/2008/09/fedora-9-on-macbook-pro-penryn-intel.html



There is a latest patch to support the apple macbook pro hardware , can this get included in the rawhide kernel ? http://lkml.org/lkml/2008/9/22/168
Comment 1 Naresh 2008-09-24 11:13:08 EDT
Here is my macbook version.

[nareshv@ platform]$ sudo /usr/sbin/dmidecode | grep -i macbook
	Product Name: MacBookPro4,1
	Family: MacBook Pro
Comment 2 Naresh 2008-09-29 06:47:50 EDT
this is creating a lot of problem, filling the logs and conflicting with the wifi driver (ndiswrapper).
Comment 3 Naresh 2008-10-02 02:11:55 EDT
problem still exists with latest rpm in koji

[nareshv ~]$ uname -r
2.6.27-0.377.rc8.git1.fc10.i686
Comment 4 Teguh DC 2008-10-02 02:24:42 EDT
seem that old patch (applied for F9) not included in new fedora kernel ? 

see this bug id 448056
https://bugzilla.redhat.com/show_bug.cgi?id=448056
Comment 5 Naresh 2008-10-02 12:08:15 EDT
yes, looks like the patch is not made into the 2.6.27 fc10 kernel.
Comment 6 Naresh 2008-10-02 12:15:05 EDT
The patch which is used in the other Bug https://bugzilla.redhat.com/show_bug.cgi?id=448056 , removes all the debug messages.

When i use the gnome-applet-sensors, i see few sensor values missing, I guess this patch[1] adds support for the Macbook Pro 4,1 sensors. So, effectively both patches are required to solve the problem completely.

[1] http://lkml.org/lkml/2008/9/22/168
Comment 7 Chuck Ebbert 2008-10-04 01:37:04 EDT
Added the patch to kill the error messages.
Comment 8 Naresh 2008-10-05 07:59:22 EDT
Thanks!

2.6.27-0.391.rc8.git7.fc10.x86_64 is good without errors.
Comment 9 Naresh 2008-10-10 23:13:10 EDT
Looks good with the 2.6.27-3.fc10.x86_64 version too. Errors are gone. But the only problem is that the backlight,few sensors are not working.

[nareshv@fallenAngel ~]$ cat /sys/devices/platform/applesmc.768/light
cat: /sys/devices/platform/applesmc.768/light: Input/output error

Trying to see if this patch helps.

http://linux.derkeiler.com/Mailing-Lists/Kernel/2008-09/msg05888.html
Comment 10 Naresh 2008-10-11 00:32:34 EDT
Created attachment 320083 [details]
applesmc patch adds support for sensors in newer macbookpro4,1 macbook air,

https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/102270/comments/36

Attached patch is unified version of all mentioned in above bug against the vanilla 2.6.27 kernel
Comment 11 Naresh 2008-10-14 09:44:41 EDT
Created attachment 320300 [details]
sensors support for macbook pro/3/4
Comment 12 Naresh 2008-10-14 09:47:36 EDT
patch in comment #11 is unified patch from

http://userweb.kernel.org/~akpm/mmotm/broken-out/

hwmon-applesmc-add-support-for-macbook-air.patch
hwmon-applesmc-add-support-for-macbook-pro-3.patch
hwmon-applesmc-add-support-for-macbook-pro-4.patch
hwmon-applesmc-allow-for-variable-alv0-and-alv1-package-length.patch
hwmon-applesmc-fix-the-wait-status-failed-c-=-8-problem.patch
hwmon-applesmc-prolong-status-wait.patch
hwmon-applesmc-specified-number-of-bytes-to-read-should-match-actual.patch
Comment 13 Naresh 2008-10-14 09:50:08 EDT
kernel.spec of the latest kernel(2.6.27-3.fc10.x86_64) is modified like this

Patch451: linux-2.6-input-dell-keyboard-keyup.patch
Patch452: linux-2.6-hwmon-applesmc-macbook-pro-3-4-air.patch <-- attached to bug
Patch453: linux-2.6-hwmon-applesmc-remove-debugging-messages.patch
Comment 14 Naresh 2008-10-15 10:46:30 EDT
Created attachment 320443 [details]
support for macbook air/3/4

Recompiled the F10 kernel with the above patch and i got the sensors working.

[nareshv SOURCES]$ dmesg | tail
applesmc:  - Model with accelerometer
applesmc:  - Model with light sensors and backlight
applesmc:  - Model with 12 temperature sensors
applesmc: device successfully initialized (0xe0, 0x00).
applesmc: device successfully initialized.
applesmc: 2 fans found.
input: applesmc as /devices/platform/applesmc.768/input/input12
Registered led device: smc::kbd_backlight
applesmc: driver successfully loaded.
applesmc: light sensor data length set to 6

Above patch obsoletes linux-2.6-hwmon-applesmc-remove-debugging-messages.patch which is already in the SRPM.
Comment 15 Naresh 2008-10-15 10:53:05 EDT
=> all the keyboard backlight,working correctly

[nareshv SOURCES]$ uname -r
2.6.27-3.applesmc.fc10.x86_64

applesmc-isa-0300
Adapter: ISA adapter
Left side  :1997 RPM  (min = 2000 RPM)
Right side :1999 RPM  (min = 2000 RPM)
temp1:       +35.8°C                                    
temp2:       +54.0°C                                    
temp3:       +52.0°C                                    
temp4:       +62.5°C                                    
temp5:       +53.2°C                                    
temp6:       +70.0°C                                    
temp7:       +57.0°C                                    
temp8:       +51.5°C                                    
temp9:       +45.5°C                                    
temp10:      +46.8°C                                    
temp11:      +50.2°C                                    
temp12:      +38.0°C
Comment 16 Chuck Ebbert 2008-10-20 18:37:59 EDT
All the patches that are upstream today in 2.6.28-rc for the applesmc driver are in Fedora kernel 2.6.27.3-33.rc1. Please test and report back when that or a later kernel version becomes available.
Comment 17 Naresh 2008-10-20 23:19:17 EDT
waiting for the package to be available on koji. latest as of today (kernel-2.6.27.3-30.rc1.fc10) is  http://koji.fedoraproject.org/koji/buildinfo?buildID=66809
Comment 18 Naresh 2008-10-21 10:08:31 EDT
tested with 2.6.27.3-34 kernel on koji. all seems be working fine.

[nareshv@fallenAnagel ~]$ uname -r
2.6.27.3-34.rc1.fc10.x86_64

[nareshv@fallenAngel ~]$ dmesg | grep applesmc
applesmc: Apple MacBook Pro 4 detected:
applesmc:  - Model with accelerometer
applesmc:  - Model with light sensors and backlight
applesmc:  - Model with 12 temperature sensors
applesmc: device has already been initialized (0xe0, 0x00).
applesmc: device successfully initialized.
applesmc: 2 fans found.
input: applesmc as /devices/platform/applesmc.768/input/input10
applesmc: driver successfully loaded.
applesmc: light sensor data length set to 6

[nareshv@fallenAngel ~]$ sensors
applesmc-isa-0300
Adapter: ISA adapter
Left side  :1997 RPM  (min = 2000 RPM)
Right side :2002 RPM  (min = 2000 RPM)
temp1:       +39.0°C                                    
temp2:       +57.2°C                                    
temp3:       +55.5°C                                    
temp4:       +66.0°C                                    
temp5:       +56.5°C                                    
temp6:       +70.0°C                                    
temp7:       +56.0°C                                    
temp8:       +55.5°C                                    
temp9:       +46.5°C                                    
temp10:      +49.2°C                                    
temp11:      +56.8°C                                    
temp12:      +40.5°C

Note You need to log in before you can comment on or make changes to this bug.